Index: protocols/yahoo/libyahoo2.c
===================================================================
--- protocols/yahoo/libyahoo2.c	(revision 25c4c78e2ddad482dfc9d5a104f76325fcc2f8e5)
+++ protocols/yahoo/libyahoo2.c	(revision 9216eff1a59e9d4a24b63c16ba4c2cacd051332c)
@@ -5272,6 +5519,7 @@
 	yahoo_packet_free(pkt);
 
-	if(response == YAHOO_FILE_TRANSFER_REJECT)
+	if (response == YAHOO_FILE_TRANSFER_REJECT) {
 		yahoo_remove_active_transfer(sfd);
+	}
 }
 #endif
@@ -5281,5 +5529,5 @@
 	struct send_file_data *sfd;
 	struct yahoo_data *yd = yid->yd;
-	
+
 	sfd = yahoo_get_active_transfer_with_yid(yid);
 
@@ -5289,12 +5537,13 @@
 	}
 
-	/* 
+	/*
 	 * We want to handle only the complete data with HEAD since we don't
 	 * want a situation where both the GET and HEAD are active.
 	 * With SEND, we really can't do much with partial response
 	 */
-	if ((sfd->state == FT_STATE_HEAD || sfd->state == FT_STATE_SEND) 
-			&& !over)
-		return;
+	if ((sfd->state == FT_STATE_HEAD || sfd->state == FT_STATE_SEND)
+	    && !over) {
+		return;
+	}
 
 	if (sfd->state == FT_STATE_HEAD) {
@@ -5304,10 +5553,10 @@
 		char *sender_enc = NULL, *recv_enc = NULL, *token_enc = NULL;
 
-		struct yahoo_input_data *yid_ft = 
-			y_new0(struct yahoo_input_data, 1);
-        
+		struct yahoo_input_data *yid_ft =
+		        y_new0(struct yahoo_input_data, 1);
+
 		yid_ft->yd = yid->yd;
 		yid_ft->type = YAHOO_CONNECTION_FT;
-        
+
 		inputs = y_list_prepend(inputs, yid_ft);
 		sfd->yid = yid_ft;
@@ -5317,55 +5566,55 @@
 		sender_enc = yahoo_urlencode(sfd->who);
 		recv_enc = yahoo_urlencode(yd->user);
-        
-		snprintf(url, sizeof(url), 
-			"http://%s/relay?token=%s&sender=%s&recver=%s", sfd->ip_addr,
-			token_enc, sender_enc, recv_enc);
+
+		snprintf(url, sizeof(url),
+		         "http://%s/relay?token=%s&sender=%s&recver=%s", sfd->ip_addr,
+		         token_enc, sender_enc, recv_enc);
 
 		snprintf(buff, sizeof(buff), "Y=%s; T=%s", yd->cookie_y,
-			yd->cookie_t);
+		         yd->cookie_t);
 
 
 		yahoo_http_get(yd->client_id, url, buff, 1, 1,
-			_yahoo_http_connected, yid_ft);
+		               _yahoo_http_connected, yid_ft);
 
 		FREE(token_enc);
 		FREE(sender_enc);
 		FREE(recv_enc);
-	}
-	else if (sfd->state == FT_STATE_RECV || 
-		sfd->state == FT_STATE_RECV_START) {
+	} else if (sfd->state == FT_STATE_RECV ||
+	           sfd->state == FT_STATE_RECV_START) {
 
 		unsigned char *data_begin = NULL;
 
-		if (yid->rxlen == 0)
+		if (yid->rxlen == 0) {
 			yahoo_remove_active_transfer(sfd);
+		}
 
 		if (sfd->state != FT_STATE_RECV_START &&
-			(data_begin = 
-				(unsigned char *)strstr((char *)yid->rxqueue,
-				"\r\n\r\n"))) {
+		    (data_begin =
+		             (unsigned char *) strstr((char *) yid->rxqueue,
+		                                      "\r\n\r\n"))) {
 
 			sfd->state = FT_STATE_RECV_START;
 
-			yid->rxlen -= 4+(data_begin-yid->rxqueue)/sizeof(char);
+			yid->rxlen -= 4 + (data_begin - yid->rxqueue) / sizeof(char);
 			data_begin += 4;
 
-			if (yid->rxlen > 0)
-				YAHOO_CALLBACK(ext_yahoo_got_ft_data) 
-					(yd->client_id, data_begin,
-					yid->rxlen, sfd->data);
-		}
-		else if (sfd->state == FT_STATE_RECV_START)
-			YAHOO_CALLBACK(ext_yahoo_got_ft_data) (yd->client_id,
-				yid->rxqueue, yid->rxlen, sfd->data);
+			if (yid->rxlen > 0) {
+				YAHOO_CALLBACK (ext_yahoo_got_ft_data)
+				        (yd->client_id, data_begin,
+				        yid->rxlen, sfd->data);
+			}
+		} else if (sfd->state == FT_STATE_RECV_START) {
+			YAHOO_CALLBACK (ext_yahoo_got_ft_data) (yd->client_id,
+			                                        yid->rxqueue, yid->rxlen, sfd->data);
+		}
 
 		FREE(yid->rxqueue);
 		yid->rxqueue = NULL;
 		yid->rxlen = 0;
-	}
-	else if (sfd->state == FT_STATE_SEND) {
+	} else if (sfd->state == FT_STATE_SEND) {
 		/* Sent file completed */
 		int len = 0;
-		char *off = strstr((char *)yid->rxqueue, "Content-Length: ");
+		char *off = strstr((char *) yid->rxqueue, "Content-Length: ");
 
 		if (off) {
@@ -5374,12 +5623,13 @@
 		}
 
-		if (len < sfd->size)
-			YAHOO_CALLBACK(ext_yahoo_file_transfer_done)
-				(yd->client_id,
-				YAHOO_FILE_TRANSFER_FAILED, sfd->data);
-		else
-			YAHOO_CALLBACK(ext_yahoo_file_transfer_done)
-				(yd->client_id,
-				YAHOO_FILE_TRANSFER_DONE, sfd->data);
+		if (len < sfd->size) {
+			YAHOO_CALLBACK (ext_yahoo_file_transfer_done)
+			        (yd->client_id,
+			        YAHOO_FILE_TRANSFER_FAILED, sfd->data);
+		} else {
+			YAHOO_CALLBACK (ext_yahoo_file_transfer_done)
+			        (yd->client_id,
+			        YAHOO_FILE_TRANSFER_DONE, sfd->data);
+		}
 
 		yahoo_remove_active_transfer(sfd);
@@ -5393,6 +5643,8 @@
 {
 	struct yahoo_data *yd = find_conn_by_id(id);
-	if (!yd)
+
+	if (!yd) {
 		return YAHOO_STATUS_OFFLINE;
+	}
 	return yd->current_status;
 }
@@ -5401,6 +5653,8 @@
 {
 	struct yahoo_data *yd = find_conn_by_id(id);
-	if (!yd)
+
+	if (!yd) {
 		return NULL;
+	}
 	return yd->buddies;
 }
@@ -5409,6 +5663,8 @@
 {
 	struct yahoo_data *yd = find_conn_by_id(id);
-	if (!yd)
+
+	if (!yd) {
 		return NULL;
+	}
 	return yd->ignore;
 }
@@ -5417,6 +5673,8 @@
 {
 	struct yahoo_data *yd = find_conn_by_id(id);
-	if (!yd)
+
+	if (!yd) {
 		return NULL;
+	}
 	return yd->identities;
 }
@@ -5425,16 +5683,23 @@
 {
 	struct yahoo_data *yd = find_conn_by_id(id);
-	if (!yd)
+
+	if (!yd) {
 		return NULL;
-	if (!strncasecmp(which, "y", 1))
+	}
+	if (!strncasecmp(which, "y", 1)) {
 		return yd->cookie_y;
-	if (!strncasecmp(which, "b", 1))
+	}
+	if (!strncasecmp(which, "b", 1)) {
 		return yd->cookie_b;
-	if (!strncasecmp(which, "t", 1))
+	}
+	if (!strncasecmp(which, "t", 1)) {
 		return yd->cookie_t;
-	if (!strncasecmp(which, "c", 1))
+	}
+	if (!strncasecmp(which, "c", 1)) {
 		return yd->cookie_c;
-	if (!strncasecmp(which, "login", 5))
+	}
+	if (!strncasecmp(which, "login", 5)) {
 		return yd->login_cookie;
+	}
 	return NULL;
 }
